std::experimental::filesystem::v1::filesystem_error Class Reference
Inheritance diagram for std::experimental::filesystem::v1::filesystem_error:
[legend]

## Public Member Functions

| filesystem_error (const string &__what_arg, const path &__p1, const path &__p2, error_code __ec)
| filesystem_error (const string &__what_arg, const path &__p1, error_code __ec)
| filesystem_error (const string &__what_arg, error_code __ec)
const error_code & | code () const noexcept
const path & | path1 () const noexcept
const path & | path2 () const noexcept
const char * | what () const noexcept

## Detailed Description

Exception type thrown by the Filesystem TS library.

Definition at line 707 of file experimental/bits/fs_path.h.

## Member Function Documentation

## what()

const char* std::experimental::filesystem::v1::filesystem_error::what | ( |  | ) | const

inline virtual noexcept

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::runtime_error.

Definition at line 726 of file experimental/bits/fs_path.h.

References std::basic_string< _CharT, _Traits, _Alloc >::c_str().

The documentation for this class was generated from the following file:

- experimental/bits/fs_path.h